/**
 * We only track dependencies at a file level.
 *
 * E.g., which file depends on which.
 *
 * Within a file we:
 * - process schemas
 * - then process sql statements
 *
 * which removes the need to do in-file dependency tracking.
 *
 * When analyzing a file we need to remove it as a dependent on anything and re-build the dependent markers for that file.
 */
export default class DependencyGraph {
    private parentToChild;
    private childToParent;
    addDependent(parent: string, child: string): void;
    getDependents(parent: string): Set<string>;
    orphan(child: string): void;
}
//# sourceMappingURL=DependencyGraph.d.ts.map