import ts from "typescript";
import DependencyGraph from "../DependencyGraph.js";
import SchemaCache from "../SchemaCache.js";
export default class QueryTypeBuilder {
    private schemaCache;
    private dag;
    private sourceFile;
    constructor(schemaCache: SchemaCache, dag: DependencyGraph, sourceFile: ts.SourceFile);
    buildQueryTypes(queries: ts.TaggedTemplateExpression[], checker: ts.TypeChecker): (import("./types.js").InlineFix | import("./types.js").CompanionFileFix)[];
    private processSqlTemplate;
    private genQueryShape;
    /**
     * The ordering in which we process files guarantees that the cache is already warm with
     * schema definitions.
     */
    private lookupRelations;
}
/**
 * Cache relation by
 * type_structure -> relation
 *
 * Still blow away on processing file that defines the type structures.
 *
 * Map dag by:
 * file -> type_structures -> dependent files
 */
//# sourceMappingURL=QueryTypeBuilder.d.ts.map