import ts from "typescript";
import SchemaCache from "../SchemaCache.js";
import { Options } from "../Analyzer.js";
export default class SchemaTypeBuilder {
    private options;
    private schemaCache;
    private sourceFile;
    constructor(options: Options, schemaCache: SchemaCache, sourceFile: ts.SourceFile);
    /**
     * Builds all of the types for the schemas that are resident to the current
     * file.
     *
     * This clears the schema type cache for that file and re-builds it for that file.
     *
     * Will reun the replace against the file.
     */
    buildResidentTypes(schemaDefinitions: ts.TaggedTemplateExpression[]): (import("./types.js").InlineFix | import("./types.js").CompanionFileFix)[];
    static typePath(file: ts.SourceFile): string;
    private processDeclareSchemaTemplate;
    private genRecordShapeCode;
}
//# sourceMappingURL=SchemaTypeBuilder.d.ts.map